﻿<Window x:Class="WpfTransformCanvasContent.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:WpfTransformCanvasContent"
        mc:Ignorable="d"
        Title="Canvas transformations" Height="400" Width="600" Loaded="OnCanvasSizeChanged" SizeChanged="OnCanvasSizeChanged">
    <DockPanel LastChildFill="True">
        <StackPanel DockPanel.Dock="Top" Orientation="Horizontal" HorizontalAlignment="Center">
            <Button Margin="10,5" Width="20" Click="OnScaleDownClicked">-</Button>
            <Button Margin="10,5" Width="20" Click="OnScaleUpClicked">+</Button>
            <Slider Margin="30,0" Width="100" VerticalAlignment="Center" Minimum="0" Maximum="360"
                    Value="{Binding Path=Rotation, Mode=TwoWay}"/>
            <TextBlock Margin="0" Width="40" Text="{Binding RotationText}"/>
        </StackPanel>
        <StackPanel Orientation="Vertical" DockPanel.Dock="Right">
            <Button Margin="10" Width="50" Padding="5" Click="OnMoveUpClicked">Up</Button>
            <Button Margin="10" Width="50" Padding="5" Click="OnMoveDownClicked">Down</Button>
            <Button Margin="10" Width="50" Padding="5" Click="OnMoveLeftClicked">Left</Button>
            <Button Margin="10" Width="50" Padding="5" Click="OnMoveRightClicked">Right</Button>
        </StackPanel>
        <Border Margin="5" BorderThickness="1" BorderBrush="Indigo">
            <Canvas Name="canvas"  ClipToBounds="True" />
        </Border>
    </DockPanel>
</Window>
